petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAVecRestoreArrayRead

Restores a multiple dimension array obtained with DMDAVecGetArrayRead()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAVecRestoreArrayRead(DM da,Vec vec,void *array)

Not collective Many br

### Input Parameter

| da | - the distributed array Many br
| vec | - the vector, either a vector the same size as one obtained with Many brDMCreateGlobalVector() or DMCreateLocalVector() Many br
| array | - the array, non-NULL pointer is zeroed Many br

Many br

Fortran Notes: From Fortran use DMDAVecRestoreArrayReadF90() Many br

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMDAGetGhostCorners(), DMDAGetCorners(), VecGetArray(), VecRestoreArray(), DMDAVecGetArray()

Level:intermediate
Location:src/dm/impls/da/dagetarray.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex19.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex13.c.html
src/ts/examples/tutorials/ex15.c.html